Package tigase.server.rtbl

# Class RTBLRepository

java.lang.Object
tigase.server.rtbl.RTBLRepository

All Implemented Interfaces:
  `Initializable`, `UnregisterAware`, `StatisticsContainerIfc`

@Bean(name="rtblRepository", parent=Kernel.class, active=true, exportable=true) public class RTBLRepository extends Object implements Initializable, UnregisterAware, StatisticsContainerIfc

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `RTBLRepository.Action`
  `static class`
  `RTBLRepository.Key`
  `static class`
  `RTBLRepository.RTBLAdded`
  `static class`
  `RTBLRepository.RTBLChange`
  `static class`
  `RTBLRepository.RTBLEvent`
  `static class`
  `RTBLRepository.RTBLReload`
  `static class`
  `RTBLRepository.RTBLRemoved`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RTBLRepository()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(BareJID pubsubJid, String node, String hash)`
  `void`
  `beforeUnregister()`
  Method called before bean unregister.
  `RTBL`
  `getBlockList(BareJID jid, String node)`
  `List<RTBL>`
  `getBlockLists()`
  `String`
  `getName()`
  `void`
  `getStatistics(StatisticsList list)`
  `void`
  `handleAdded(RTBLRepository.RTBLAdded event)`
  `void`
  `handleChange(RTBLRepository.RTBLChange event)`
  `void`
  `handleReload(RTBLRepository.RTBLReload event)`
  `void`
  `handleRemoved(RTBLRepository.RTBLRemoved event)`
  `void`
  `initialize()`
  Method will be called, when bean will be created, configured and ready to use.
  `boolean`
  `isBlocked(BareJID jid)`
  `void`
  `purge(BareJID pubsubJid, String node)`
  `protected void`
  `reload()`
  `void`
  `reload(BareJID pubsubJid, String node)`
  `void`
  `remove(BareJID pubsubJid, String node)`
  `void`
  `setName(String name)`
  `void`
  `update(RTBL rtbl)`
  `void`
  `update(BareJID pubsubJid, String node, RTBLRepository.Action action, String id)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RTBLRepository

    public RTBLRepository()

- ## Method Details

  - ### beforeUnregister

    public void beforeUnregister()
    Description copied from interface: `UnregisterAware`
    Method called before bean unregister.
    Specified by:
      `beforeUnregister` in interface `UnregisterAware`

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `StatisticsContainerIfc`

  - ### setName

    public void setName(String name)

  - ### getStatistics

    public void getStatistics(StatisticsList list)
    Specified by:
      `getStatistics` in interface `StatisticsContainerIfc`

  - ### initialize

    public void initialize()
    Description copied from interface: `Initializable`
    Method will be called, when bean will be created, configured and ready to use.
    Specified by:
      `initialize` in interface `Initializable`

  - ### getBlockLists

    public List<RTBL> getBlockLists()

  - ### getBlockList

    public RTBL getBlockList(BareJID jid, String node)

  - ### isBlocked

    public boolean isBlocked(BareJID jid)

  - ### update

    public void update(RTBL rtbl)

  - ### add

    public void add(BareJID pubsubJid, String node, String hash) throws TigaseDBException
    Throws:
      `TigaseDBException`

  - ### handleAdded

    @HandleEvent public void handleAdded(RTBLRepository.RTBLAdded event)

  - ### remove

    public void remove(BareJID pubsubJid, String node) throws TigaseDBException
    Throws:
      `TigaseDBException`

  - ### handleRemoved

    @HandleEvent public void handleRemoved(RTBLRepository.RTBLRemoved event)

  - ### update

    public void update(BareJID pubsubJid, String node, RTBLRepository.Action action, String id)

  - ### handleChange

    @HandleEvent public void handleChange(RTBLRepository.RTBLChange event)

  - ### purge

    public void purge(BareJID pubsubJid, String node)

  - ### reload

    public void reload(BareJID pubsubJid, String node)

  - ### handleReload

    @HandleEvent public void handleReload(RTBLRepository.RTBLReload event)

  - ### reload

    protected void reload()